#include "partition.h"

#include <iostream>
#include <vector>
#include <algorithm>


#define X first
#define Y second
#define control std::cout<<"passed\n";
#define maxn 200005
#define maxlog 21
#define PB push_back

#pragma GCC optimize("Ofast" , "O3" , "unroll-loops")
#pragma GCC target("avx2")


typedef long long ll;
typedef std::pair <ll, ll> pll;


std::vector<int> solve(std::vector<int> a)
{
    std::vector <int> ret;
    
    int n = a.size(); 
    for(int i = 0; i < (n / 2) - 1; i++)
        ret.PB(i);
    ret.PB(n - 1);
    for(int i = (n / 2); i < n - 1; i++)
        ret.PB(i);
    
    return ret;
}
